Skip to main content

Approve subscription request

Be invoked by the patient or user through the Personal Health Record (PHR) application to approve a subscription request.

POST/api/hiecm/subscription-requests/v3/{request-id}/approve

By using this API, individuals can grant permission for the requested subscription, ensuring that they receive the desired health information services or updates. This functionality is essential for enabling users to manage their health data subscriptions effectively, ensuring they have control over the information they receive. The API supports secure and efficient approval of subscription requests, enhancing the overall user experience within the healthcare ecosystem.

Authorizations

Authorizationbearer tokenRequired

Path parameters

request-idstringRequired

The subscription request id

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

Body

isApplicableForAllHIPsbooleanRequired

A boolean value to denote if the policy is applicable to all the HIPs or only the specified HIP

includedSourcesobject[]Required

Included sources, carrying the list of hi types.

includedSources.hiTypesstring[]Required

Types of health information document.

includedSources.purposeobjectRequired
includedSources.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

includedSources.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

includedSources.purpose.refUristringRequired

The reference URL.Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

includedSources.hipobjectRequired

Identifier and name of the health information provider.

includedSources.hip.idstringRequired

The service ID of the health information provider. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

includedSources.hip.namestringRequired

The name of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

includedSources.hip.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

includedSources.categoriesstring[]Required
includedSources.periodobjectRequired

The date range between when the subscription will be active

includedSources.period.fromstringRequired

UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

includedSources.period.tostringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

excludedSourcesobject[]Required

Excluded sources, carrying the list of hi types.

excludedSources.hiTypesstring[]Required

Types of health information document.

excludedSources.purposeobjectRequired
excludedSources.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

excludedSources.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

excludedSources.purpose.refUristringRequired

The reference URL. Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

excludedSources.hipobjectRequired

Identifier and name of the health information provider.

excludedSources.hip.idstringRequired

The service ID of the health information provider. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

excludedSources.hip.namestringRequired

The name of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

excludedSources.hip.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

excludedSources.categoriesstring[]Required
excludedSources.periodobjectRequired

The date range between when the subscription will be active

excludedSources.period.fromstringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

excludedSources.period.tostringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

Responses

400

Bad Request

401

Unauthorized

Everything returns 401

403

Forbidden

404

server cannot find the requested resource

500

Internal Server Error -> It is just one example, for every api the path will be changed.

503

Service Unavailable